UM C API 6.17.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
_Lbmmon__DROMonMsg__Stats__Portal Struct Reference

`#include <dro_mon.pb-c.h>`

## Data Fields
ProtobufCMessage | base
char * | portal_name
uint32_t | portal_index
uint32_t | cost
uint32_t | proxy_receivers
uint32_t | receiver_topics
uint32_t | receiver_pcre_patterns
uint32_t | receiver_regex_patterns
uint32_t | proxy_sources
uint64_t | recalc_duration_sec
uint64_t | recalc_duration_usec
uint64_t | proxy_rec_recalc_duration_sec
uint64_t | proxy_rec_recalc_duration_usec
Lbmmon__DROMonMsg__Stats__Portal__PortalTypeCase | portal_type_case
union {
Lbmmon__DROMonMsg__Stats__Portal__Endpoint * endpoint
Lbmmon__DROMonMsg__Stats__Portal__Peer * peer
}; |

## Detailed Description

Structure containing statistics related to this portal.

## Field Documentation

uint32_t _Lbmmon__DROMonMsg__Stats__Portal::cost

Cost.

Lbmmon__DROMonMsg__Stats__Portal__Endpoint* _Lbmmon__DROMonMsg__Stats__Portal::endpoint

For endpoint portals, operational statistics for the portal.

Lbmmon__DROMonMsg__Stats__Portal__Peer* _Lbmmon__DROMonMsg__Stats__Portal::peer

For peer portals, operational statistics for the portal.

uint32_t _Lbmmon__DROMonMsg__Stats__Portal::portal_index

Portal index.

char* _Lbmmon__DROMonMsg__Stats__Portal::portal_name

Portal name.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal::proxy_rec_recalc_duration_sec

Proxy rec recalc duration sec.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal::proxy_rec_recalc_duration_usec

Proxy rec recalc duration usec.

uint32_t _Lbmmon__DROMonMsg__Stats__Portal::proxy_receivers

Number of proxy receivers.

uint32_t _Lbmmon__DROMonMsg__Stats__Portal::proxy_sources

Number of proxy sources.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal::recalc_duration_sec

Recalc duration sec.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal::recalc_duration_usec

Recalc duration usec.

uint32_t _Lbmmon__DROMonMsg__Stats__Portal::receiver_pcre_patterns

Number of receiver pcre patterns.

uint32_t _Lbmmon__DROMonMsg__Stats__Portal::receiver_regex_patterns

Number of receiver regex patterns.

uint32_t _Lbmmon__DROMonMsg__Stats__Portal::receiver_topics

Number of receiver topics.

The documentation for this struct was generated from the following file:

- dro_mon.pb-c.h